Bug 104240 - options in /etc/sysconfig/ldap causes "daemon" to hang
options in /etc/sysconfig/ldap causes "daemon" to hang
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-11 12:22 EDT by Dag Richards
Modified: 2015-01-07 19:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:16:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dag Richards 2003-09-11 12:22:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
if we put SLAPD_OPTIONS=" -d 1 " in the file  /etc/sysconfig/ldap.
if we call /etc/init.d/ldap start
it does start slapd -- good
it does not exit back to the command line. So running by hand leaves slapd
connected to the terminal.

I tried putting the options directly into init.d but that does not work either ...

Version-Release number of selected component (if applicable):
openldap-servers-2.0.27-8

How reproducible:
Always

Steps to Reproduce:
1.echo 'SLAPD_OPTIONS=" -d 1 "' > /etc/sysconfig/ldap
2. /etc/init.d/ldap start
3.
    

Actual Results:  slapd runs
/etc/init.d/ldap  does not exit

Expected Results:  slapd started as a daemon, not connected with a terminal
logging debug info to the logfile

Additional info:

RedHat Rocks!
Comment 1 Philip Edelbrock 2005-05-27 16:17:32 EDT
RTFM! The expected results are wrong.  From the man page:

"       -d debug-level
              Turn  on  debugging as defined by debug-level.  If this option is
specified, even with a zero argument, slapd will not fork or disassociate from
the invoking terminal.  [...]

       -s syslog-level
              This option tells slapd at what level debugging statements should
be logged to the syslog(8) facility."

You want "-s" not "-d".


-Phil
Comment 2 Bill Nottingham 2006-08-05 01:21:08 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2007-01-02 14:16:32 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.